[Solved] Can't make example projects on fresh install of OpenFrameworks ( Arch Linux )

Hello,
I did download latest stable version and tried to compile it on Arch Linux.
running ./install_dependencies.sh
complians about GCC version being newer than 5 ! ( pacman -Q | grep gcc returns gcc 7.1.1-4 & gcc-libs7.1.1-4 )

so script tried to recompile poco but it always fail with error message : ^ recieved error ^ :expressionless: but there where no useful message!
after too much searching I finally decided use the nightly build version : of_v20170714_linux64_nightly
i did run install_dependencies.sh and ./compileOF.sh with no problem .
but when I try to compile one of the sample projects it does not work !

$ make

/usr/bin/ld: /home/armot/opt/OF_nightly/libs/kiss/lib/linux64/libkiss.a(kiss_fftr.o): relocation R_X86_64_32 against .rodata' can not be used when making a shared object; recompile with -fPIC /usr/bin/ld: /home/armot/opt/OF_nightly/libs/tess2/lib/linux64/libtess2.a(tess.o): relocation R_X86_64_32 against.data’ can not be used when making a shared object; recompile with -fPIC
/usr/bin/ld: /home/armot/opt/OF_nightly/libs/tess2/lib/linux64/libtess2.a(mesh.o): relocation R_X86_64_32 against .rodata.str1.1' can not be used when making a shared object; recompile with -fPIC /usr/bin/ld: /home/armot/opt/OF_nightly/libs/tess2/lib/linux64/libtess2.a(sweep.o): relocation R_X86_64_32S against.rodata’ can not be used when making a shared object; recompile with -fPIC
/usr/bin/ld: /home/armot/opt/OF_nightly/libs/tess2/lib/linux64/libtess2.a(dict.o): relocation R_X86_64_32 against `.rodata.str1.1’ can not be used when making a shared object; recompile with -fPIC
/usr/bin/ld: final link failed: Nonrepresentable section on output
collect2: error: ld returned 1 exit status
make[1]: *** [/home/armot/opt/OF_nightly/libs/openFrameworksCompiled/project/makefileCommon/compile.project.mk:405: bin/polygonExample] Error 1
make[1]: Leaving directory ‘/home/armot/opt/OF_nightly/examples/graphics/polygonExample’
make: *** [/home/armot/opt/OF_nightly/libs/openFrameworksCompiled/project/makefileCommon/compile.project.mk:129: Release] Error 2

it’s just driving me crazy
can someone please help ?!

1 Like

0.9.8 is not compatible anymore with latest arch linux versions try using the latest nightly build for linux64 gcc6

Thanks sir.
using > latest nightly build for linux64 gcc6 < did work and now I can compile and run samples .
I wish download page would provide more info about this ! so people won’t spend 2 days on that :smiley:

glad it’s working. you can send a pull request with a note explaining this to the linux install guide on this document if you want: https://github.com/openframeworks/ofSite/blob/master/content/setup/linux-install.md